Bug 485827 - banshee 1.4.2 crashes when trying to play certain songs
banshee 1.4.2 crashes when trying to play certain songs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 16:30 EST by Kvikende
Modified: 2009-12-18 02:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb Stack trace for banshee-1 crash (8.55 KB, text/plain)
2009-02-17 11:37 EST, Kvikende
no flags Details
Newer stacktrace for banshee crash (15.26 KB, text/plain)
2009-02-17 12:15 EST, Kvikende
no flags Details

  None (edit)
Description Kvikende 2009-02-16 16:30:49 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.9.0.6) Gecko/2009020410 Fedora/3.0.6-1.fc10 Firefox/3.0.6

I have banshee 1.4.2 and it crashes every time it plays certain songs. I haven't found any correlations to which file type it is that I'm playing (if it's a MP3, or a FLAC or a OGG) but it might be.

I have tried to play the songs in other players (Amarok and Rhythmbox) which works fine, so I don't think it is the songs themselves that are bugged.

Reproducible: Always

Steps to Reproduce:
1. Open Banshee 1.4.2
2. Find the song that causes the crash (in my case Sunn O)))'s Cymatics, in MP3 format) and double click on it to play it
3. Watch Banshee close it self
Actual Results:  
Banshee closes with no warnings or error messages or anything like that

Expected Results:  
Music in my headphones

Version: [Info  22:28:53.752] Running Banshee 1.4.2: [source-tarball (linux-gnu, x86_64) @ 2009-01-23 16:06:50 EST]

Running banshee-1 from command line gives when crashing:
Stacktrace:

Segmentation fault
Comment 1 Jon Dufresne 2009-02-16 20:22:05 EST
Thank you for taking the time to report this bug. This bug report isn't very
useful because it doesn't describe the bug well. If you have time and can
still reproduce the bug, please read
http://fedoraproject.org/wiki/BugsAndFeatureRequests and add a more useful
description to this bug.

You'll also need to add a stack trace; please make sure you have debuginfo
packages installed and see http://fedoraproject.org/wiki/StackTraces
for more information about getting a useful stack trace.
Thank you.

Also, if you have a test file that you have the right to distribute please attach the file to this bug report. That way others may attempt to reproduce the bug. Thank you.
Comment 2 Kvikende 2009-02-17 11:37:24 EST
Created attachment 332245 [details]
gdb Stack trace for banshee-1 crash
Comment 3 Kvikende 2009-02-17 11:49:06 EST
I don't have rights to distribute this audio file I'm afraid. If there are anything specific you need to know, please tell me as I don't really know what more to add. I've read through both wikis and it took me a long while to get stacktraces working with banshee as it's a mono application and gdb either refused to run banshee or just froze it. I hope I did it right in the end.
Comment 4 Jon Dufresne 2009-02-17 12:03:52 EST
Looks like we are almost there.

Judging from http://www.mono-project.com/Debugging you need an additional command line option for mono debug information. Can you pass the "--debug" option to mono? It will look like this. Thanks.

$ gdb mono
(gdb) run --debug /usr/lib64/banshee-1/Banshee.exe
Comment 5 Kvikende 2009-02-17 12:15:28 EST
Created attachment 332257 [details]
Newer stacktrace for banshee crash
Comment 6 Bug Zapper 2009-11-18 04:28:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:56:17 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.